summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..766183d
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+export GOPATH=`pwd`/.gopath
+
+echo -n "Fetching (go get) source ... "
+go get -d github.com/equinox0815/acme/cmd/acmetool
+echo "done."
+
+echo -n "Switching to correct branch ... "
+git -C $GOPATH/src/github.com/equinox0815/acme/cmd/acmetool co seperate-redirector > /dev/null 2>&1
+echo "done."
+
+echo -n "Building acmetool ... "
+export CGO_ENABLED=0
+go build -a github.com/equinox0815/acme/cmd/acmetool
+echo "done."